Bug 204251 - databases/xtrabackup: Update to 2.3.3
Summary: databases/xtrabackup: Update to 2.3.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Wen Heping
URL:
Keywords: needs-patch, needs-qa, patch
Depends on:
Blocks:
 
Reported: 2015-11-03 14:07 UTC by Thomas Babut
Modified: 2016-01-20 03:39 UTC (History)
5 users (show)

See Also:
bugzilla: maintainer-feedback? (aleks)


Attachments
Proposed patch (2.41 KB, patch)
2015-11-03 14:07 UTC, Thomas Babut
no flags Details | Diff
New patch (3.10 KB, text/plain)
2015-12-29 14:03 UTC, Wen Heping
no flags Details
New proposed patch to 2.3.3 (2.51 KB, patch)
2016-01-19 16:21 UTC, Thomas Babut
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Thomas Babut 2015-11-03 14:07:18 UTC
Created attachment 162732 [details]
Proposed patch

I've attached a patch for the new upstream version with some additional necessary changes for CMake 3.1.0 and a new library.

Thanks in advance.
Comment 2 Thomas Babut 2015-12-01 08:47:39 UTC
Your build on FreeBSD 9.3 fails with:

[ 99%] Building CXX object sql/CMakeFiles/sql.dir/sql_udf.cc.o
cd /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/sql && /usr/local/libexec/ccache/c++   -DHAVE_CONFIG_H -DHAVE_EVENT_SCHEDULER -DMYSQL_SERVER -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/sql -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/regex -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/extra/yassl/include -I/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/extra/yassl/taocrypt/include -O2 -pipe -fstack-protector -fno-strict-aliasing -Wall -Wextra -Wformat-security -Wvla -Woverloaded-virtual -Wno-unused-parameter -O2 -pipe -fstack-protector -fno-strict-aliasing -DDBUG_OFF   -DHAVE_YASSL -DYASSL_PREFIX -DHAVE_OPENSSL -DMULTI_THREADED -o CMakeFiles/sql.dir/sql_udf.cc.o -c /wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/sql/sql_udf.cc
/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/storage/innobase/xtrabackup/src/backup_copy.cc:51:30: error: version_check_pl.h: No such file or directory
/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/storage/innobase/xtrabackup/src/backup_copy.cc: In function 'void version_check()':
/wrkdirs/usr/ports/databases/xtrabackup/work/percona-xtrabackup-2.3.2/storage/innobase/xtrabackup/src/backup_copy.cc:1895: error: 'version_check_pl' was not declared in this scope
[ 99%] Building CXX object sql/CMakeFiles/sql.dir/sql_union.cc.o

Currently I have only machines with FreeBSD 10.x and here it builds without any problems.

And I don't know why this file is missing on your system during the compile process: 

# find . -name version_check_pl.h
./work/percona-xtrabackup-2.3.2/storage/innobase/xtrabackup/src/version_check_pl.h
Comment 3 Wen Heping freebsd_committer 2015-12-29 14:03:04 UTC
Created attachment 164818 [details]
New patch

Previous patch failed build on my poudriere of FreeBSD 9, 10 and head.

Here is a new patch which build well.

Would you have a test of it ?

wen
Comment 4 Martin Wilke freebsd_committer 2016-01-02 06:30:07 UTC
Hi,

Wen why you adding vim as a lib dependency?
Comment 5 Wen Heping freebsd_committer 2016-01-02 12:21:26 UTC
(In reply to Martin Wilke from comment #4)
Without vim, build fail.
Maybe depends on vim-lite is a better way, I did not test.

wen(In reply to Martin Wilke from comment #4)
Comment 6 Thomas Babut 2016-01-19 16:21:51 UTC
Created attachment 165830 [details]
New proposed patch to 2.3.3

Please take a look at this:
https://github.com/percona/percona-xtrabackup/pull/136

I've only added vim-lite to the build dependencies because of the necessary xxd binary. The build works also, when there is the full vim package installed.
Comment 7 Wen Heping freebsd_committer 2016-01-20 03:17:20 UTC
Still some plist error in this patch.
Comment 8 commit-hook freebsd_committer 2016-01-20 03:36:55 UTC
A commit references this bug:

Author: wen
Date: Wed Jan 20 03:36:51 UTC 2016
New revision: 406729
URL: https://svnweb.freebsd.org/changeset/ports/406729

Log:
  - Update to 2.3.3

  PR:		204251
  Submitted by:	tbabut@mobileobjects.de
  Approved by:	maintainer(timeout, >60 days)

Changes:
  head/databases/xtrabackup/Makefile
  head/databases/xtrabackup/distinfo
  head/databases/xtrabackup/files/patch-libarchive-CMakeLists.txt